<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.configuration2.builder.combined (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.configuration2.builder.combined (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.commons.configuration2.builder.combined</h1>
<div class="docSummary">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined">CombinedBuilderProperties</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 Definition of a properties interface for the parameters of a combined
 configuration builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined">ConfigurationBuilderProvider</a></td>
<td class="colLast">
<div class="block">
 An interface for creating builders for configuration sources of a
 <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>CombinedConfigurationBuilder</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined">MultiFileBuilderProperties</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 Definition of a properties interface for the parameters of a multiple file
 configuration builder.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></td>
<td class="colLast">
<div class="block">
 A fully-functional, reflection-based implementation of the
 <code>ConfigurationBuilderProvider</code> interface which can deal with the
 default tags defining configuration sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedBuilderParametersImpl</a></td>
<td class="colLast">
<div class="block">
 A specialized parameters object for a <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>CombinedConfigurationBuilder</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></td>
<td class="colLast">
<div class="block">
 A specialized <code>ConfigurationBuilder</code> implementation that creates a
 <a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2"><code>CombinedConfiguration</code></a> from multiple configuration sources defined by
 an XML-based <em>configuration definition file</em>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilderProvider</a></td>
<td class="colLast">
<div class="block">
 A specialized <code>ConfigurationBuilderProvider</code> implementation which deals
 with combined configuration builders.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a></td>
<td class="colLast">
<div class="block">
 A specialized <code>BeanDeclaration</code> implementation that represents the
 declaration of a configuration source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">FileExtensionConfigurationBuilderProvider</a></td>
<td class="colLast">
<div class="block">
 A specialized implementation of <a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined"><code>ConfigurationBuilderProvider</code></a> which
 determines the name of the result configuration class based on the extension
 of the file to load.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileBuilderParametersImpl</a></td>
<td class="colLast">
<div class="block">
 A specialized parameters object for <a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>MultiFileConfigurationBuilder</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileConfigurationBuilder</a>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</td>
<td class="colLast">
<div class="block">
 A specialized <code>ConfigurationBuilder</code> implementation providing access to
 multiple file-based configurations based on a file name pattern.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileConfigurationBuilderProvider</a></td>
<td class="colLast">
<div class="block">
 A specialized <code>ConfigurationBuilderProvider</code> implementation for
 integrating <a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>MultiFileConfigurationBuilder</code></a> with
 <code>CombinedConfigurationBuilder</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingCombinedConfigurationBuilder</a></td>
<td class="colLast">
<div class="block">
 An extension of <code>CombinedConfigurationBuilder</code> which also supports
 reloading operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingMultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingMultiFileConfigurationBuilder</a>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</td>
<td class="colLast">
<div class="block">
 A specialized <code>MultiFileConfigurationBuilder</code> implementation which adds
 support for reloading.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.commons.configuration2.builder.combined Description">Package org.apache.commons.configuration2.builder.combined Description</h2>
<div class="block"><p>
 A package containing the implementation of the builder for combined
 configurations.
 </p>
 <p>
 The <code>CombinedConfigurationBuilder</code> class defined in this package can
 create a <code>CombinedConfiguration</code> object from various configuration
 sources that are declared in a so-called <em>configuration definition
 file</em>. This is a convenient means to collect distributed configuration
 information and access them as a single logic source.
 </p>
 <p>
 In addition, the <code>MultiFileConfigurationBuilder</code> class is located in
 this package. This builder class selects one file-based configuration out of
 a set based on dynamic variable substitution. A typical use case would be
 the definition of multiple configuration files for the different stages of a
 project: development, integration test, production, etc.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: package-info.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
